export { GetScalingActivitiesArgs, GetScalingActivitiesResult, GetScalingActivitiesOutputArgs } from "./getScalingActivities";
export declare const getScalingActivities: typeof import("./getScalingActivities").getScalingActivities;
export declare const getScalingActivitiesOutput: typeof import("./getScalingActivities").getScalingActivitiesOutput;
export { GetScalingConfigurationsArgs, GetScalingConfigurationsResult, GetScalingConfigurationsOutputArgs } from "./getScalingConfigurations";
export declare const getScalingConfigurations: typeof import("./getScalingConfigurations").getScalingConfigurations;
export declare const getScalingConfigurationsOutput: typeof import("./getScalingConfigurations").getScalingConfigurationsOutput;
export { GetScalingGroupsArgs, GetScalingGroupsResult, GetScalingGroupsOutputArgs } from "./getScalingGroups";
export declare const getScalingGroups: typeof import("./getScalingGroups").getScalingGroups;
export declare const getScalingGroupsOutput: typeof import("./getScalingGroups").getScalingGroupsOutput;
export { GetScalingInstancesArgs, GetScalingInstancesResult, GetScalingInstancesOutputArgs } from "./getScalingInstances";
export declare const getScalingInstances: typeof import("./getScalingInstances").getScalingInstances;
export declare const getScalingInstancesOutput: typeof import("./getScalingInstances").getScalingInstancesOutput;
export { GetScalingLifecycleHooksArgs, GetScalingLifecycleHooksResult, GetScalingLifecycleHooksOutputArgs } from "./getScalingLifecycleHooks";
export declare const getScalingLifecycleHooks: typeof import("./getScalingLifecycleHooks").getScalingLifecycleHooks;
export declare const getScalingLifecycleHooksOutput: typeof import("./getScalingLifecycleHooks").getScalingLifecycleHooksOutput;
export { GetScalingPoliciesArgs, GetScalingPoliciesResult, GetScalingPoliciesOutputArgs } from "./getScalingPolicies";
export declare const getScalingPolicies: typeof import("./getScalingPolicies").getScalingPolicies;
export declare const getScalingPoliciesOutput: typeof import("./getScalingPolicies").getScalingPoliciesOutput;
export { ScalingActivitiesArgs, ScalingActivitiesResult, ScalingActivitiesOutputArgs } from "./scalingActivities";
export declare const scalingActivities: typeof import("./scalingActivities").scalingActivities;
export declare const scalingActivitiesOutput: typeof import("./scalingActivities").scalingActivitiesOutput;
export { ScalingConfigurationArgs, ScalingConfigurationState } from "./scalingConfiguration";
export type ScalingConfiguration = import("./scalingConfiguration").ScalingConfiguration;
export declare const ScalingConfiguration: typeof import("./scalingConfiguration").ScalingConfiguration;
export { ScalingConfigurationAttachmentArgs, ScalingConfigurationAttachmentState } from "./scalingConfigurationAttachment";
export type ScalingConfigurationAttachment = import("./scalingConfigurationAttachment").ScalingConfigurationAttachment;
export declare const ScalingConfigurationAttachment: typeof import("./scalingConfigurationAttachment").ScalingConfigurationAttachment;
export { ScalingConfigurationsArgs, ScalingConfigurationsResult, ScalingConfigurationsOutputArgs } from "./scalingConfigurations";
export declare const scalingConfigurations: typeof import("./scalingConfigurations").scalingConfigurations;
export declare const scalingConfigurationsOutput: typeof import("./scalingConfigurations").scalingConfigurationsOutput;
export { ScalingGroupArgs, ScalingGroupState } from "./scalingGroup";
export type ScalingGroup = import("./scalingGroup").ScalingGroup;
export declare const ScalingGroup: typeof import("./scalingGroup").ScalingGroup;
export { ScalingGroupEnablerArgs, ScalingGroupEnablerState } from "./scalingGroupEnabler";
export type ScalingGroupEnabler = import("./scalingGroupEnabler").ScalingGroupEnabler;
export declare const ScalingGroupEnabler: typeof import("./scalingGroupEnabler").ScalingGroupEnabler;
export { ScalingGroupsArgs, ScalingGroupsResult, ScalingGroupsOutputArgs } from "./scalingGroups";
export declare const scalingGroups: typeof import("./scalingGroups").scalingGroups;
export declare const scalingGroupsOutput: typeof import("./scalingGroups").scalingGroupsOutput;
export { ScalingInstanceAttachmentArgs, ScalingInstanceAttachmentState } from "./scalingInstanceAttachment";
export type ScalingInstanceAttachment = import("./scalingInstanceAttachment").ScalingInstanceAttachment;
export declare const ScalingInstanceAttachment: typeof import("./scalingInstanceAttachment").ScalingInstanceAttachment;
export { ScalingInstancesArgs, ScalingInstancesResult, ScalingInstancesOutputArgs } from "./scalingInstances";
export declare const scalingInstances: typeof import("./scalingInstances").scalingInstances;
export declare const scalingInstancesOutput: typeof import("./scalingInstances").scalingInstancesOutput;
export { ScalingLifecycleHookArgs, ScalingLifecycleHookState } from "./scalingLifecycleHook";
export type ScalingLifecycleHook = import("./scalingLifecycleHook").ScalingLifecycleHook;
export declare const ScalingLifecycleHook: typeof import("./scalingLifecycleHook").ScalingLifecycleHook;
export { ScalingLifecycleHooksArgs, ScalingLifecycleHooksResult, ScalingLifecycleHooksOutputArgs } from "./scalingLifecycleHooks";
export declare const scalingLifecycleHooks: typeof import("./scalingLifecycleHooks").scalingLifecycleHooks;
export declare const scalingLifecycleHooksOutput: typeof import("./scalingLifecycleHooks").scalingLifecycleHooksOutput;
export { ScalingPoliciesArgs, ScalingPoliciesResult, ScalingPoliciesOutputArgs } from "./scalingPolicies";
export declare const scalingPolicies: typeof import("./scalingPolicies").scalingPolicies;
export declare const scalingPoliciesOutput: typeof import("./scalingPolicies").scalingPoliciesOutput;
export { ScalingPolicyArgs, ScalingPolicyState } from "./scalingPolicy";
export type ScalingPolicy = import("./scalingPolicy").ScalingPolicy;
export declare const ScalingPolicy: typeof import("./scalingPolicy").ScalingPolicy;
